Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class AddressResource

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.SynchronizationResource
                  |
                  +--com.ibm.cics.server.AddressResource

public class AddressResource
extends SynchronizationResource
implements java.io.Serializable

This class provides an implementation of a Synchronization based on the address of a data area.

It has the equivalent functionality to the CICS ENQ/DEQ functions when not using the LENGTH option.

Since java never exposes the address of a vaiable, this is implemented explicitly as an array of bytes.

Constructor Summary
`AddressResource()`

Method Summary
`void` | `dequeue()` Not Implemented.
`void` | `enqueue()` Not Implemented.
`byte[]` | `getAddress()` Return the Address of this Synchronization Resource.
`void` | `setAddress(byte[] newAddress)` Set the name of this Synchronization Resource.
`void` | `tryEnqueue()` Not Implemented.

Methods inherited from class com.ibm.cics.server.SynchronizationResource
`getDescription, setDescrption`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressResource

    public AddressResource()

Method Detail

### getAddress

    public byte[] getAddress()

  Return the Address of this Synchronization Resource.
  Returns:
    the Synchronization Resource address.

### setAddress

    public void setAddress(byte[] newAddress)

  Set the name of this Synchronization Resource.
  Parameters:
    `newName` - the new Synchronization Resource name.

### dequeue

    public void dequeue()
                 throws LengthErrorException

  This method is not implemented in this release.

### enqueue

    public void enqueue()
                 throws ResourceUnavailableException

  This method is not implemented in this release.

### tryEnqueue

    public void tryEnqueue()
                    throws ResourceUnavailableException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.